# Note that this is NOT a relocatable package
%define ver      1.0.1
%define rel      3
%define prefix   /usr

Summary: The LibGTop library.
Name: libgtop
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/libgtop-%{ver}.tar.gz

BuildRoot: /var/tmp/libgtop-%{PACKAGE_VERSION}-root

URL: http://www.home-of-linux.org/gnome/libgtop/
Prereq: /sbin/install-info
Docdir: %{prefix}/doc

%description
A library that fetches information about the running system such
as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the
/proc filesystem while on other systems a server is used to 
read that information from other /dev/kmem, among others.

%package devel
Summary: Libraries, includes and other files to develop LibGTop applications.
Group: Development/Libraries
Requires: libgtop

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on Open Source software. 
The gnome-libs-devel package includes the libraries and include files that
you will need to develop GNOME applications.  

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.  If you are going
to develop GNOME applications and/or you're going to use the GNOME desktop
environment, you'll also need to install the gnome-core and gnome-libs
packages.  If you want to use linuxconf with a GNOME front end, you'll
also need to install the gnome-linuxconf package.

%package examples
Summary: These are examples for LibGTop, a library which retrieves information about your system, such as CPU and memory usage.
Group: System Environment/Libraries
Requires: libgtop

%description examples
These are examples for LibGTop, a library which retrieves information
about your system, such as CPU and memory usage.

%prep
%setup

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --without-linux-table --with-libgtop-inodedb --with-libgtop-examples --with-libgtop-guile --with-libgtop-smp
make


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/not strip/ { print $1 }'`

#
# msf - remove these as they are really supposed to come from gnome-libs
#
# martin - don't remove since they are no longer installed if build
#          with GNOME
#
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.a
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.la
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.so.0
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.so.0.0.0

#
# msf (1/6/99) - no idea why these were getting nuked
#
#rm -fr $RPM_BUILD_ROOT/%{prefix}/include/libgtop

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc RELNOTES-0.25 AUTHORS ChangeLog NEWS README copyright.txt
%doc ANNOUNCE ANNOUNCE-0.25 README.LATEST TODO
%doc src/inodedb/README.inodedb

%{prefix}/lib/lib*.so.*
%{prefix}/share/*
%{prefix}/bin/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/lib/*.def
%{prefix}/include/*

%files examples
%defattr(-,root,root)

%{prefix}/libexec/libgtop/*

%changelog

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fixed text/groups in the spec file

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- libgtop 1.0.1

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built version 0.99.2 against gnome-libs-0.99.8

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- released LibGTop 0.99.2

* Tue Aug 19 1998 Martin Baulig <martin@home-of-linux.org>
- released LibGTop 0.25.0

* Sun Aug 16 1998 Martin Baulig <martin@home-of-linux.org>
- first version of the RPM

